SoDepthBuffer(3)

NAME
SoDepthBuffer - The SoDepthBuffer class is a node used to control the GL depth buffer.

SYNOPSIS

#include <Inventor/nodes/SoDepthBuffer.h>

Inherits SoNode.

  Public Types
enum DepthWriteFunction { NEVER = SoDepthBufferElement::NEVER, ALWAYS = SoDepthBufferElement::ALWAYS, LESS = SoDepthBufferElement::LESS, LEQUAL = SoDepthBufferElement::LEQUAL, EQUAL = SoDepthBufferElement::EQUAL, GEQUAL = SoDepthBufferElement::GEQUAL, GREATER = SoDepthBufferElement::GREATER, NOTEQUAL = SoDepthBufferElement::NOTEQUAL }

  Public Member Functions
virtual SoType getTypeId (void) const
SoDepthBuffer (void)
virtual void GLRender (SoGLRenderAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFBool test
SoSFBool write
SoSFEnum function
SoSFVec2f range

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoDepthBuffer ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoDepthBuffer class is a node used to control the GL depth buffer. With this node you can control properties related to the OpenGL depth buffer in a variety of ways.

•   you can enable and disable depth buffer testing during rendering,

•   you can enable and disable writing to the depth buffer during rendering,

•   you can set the function used for the depth buffer testing, and

•   you can set the value range used in the depth buffer.

The value range setting is useful if you need to segment the 3D world into different segments with different depth buffer resolutions to get a more optimal depth buffer resolution distribution than what a single, uniform depth buffer value range can give you.

FILE FORMAT/DEFAULTS:

DepthBuffer {
    test TRUE
    write TRUE
    function LESS
    range 0 1
}

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.
Since
    Coin 3.0

Member Enumeration Documentation

  enum SoDepthBuffer::DepthWriteFunction
Enumeration for the various depth functions.

Enumerator

NEVER
    Never passes.

ALWAYS
    Always passes.

LESS
    Passes if the incoming depth value is less than the stored depth value.

LEQUAL
    Passes if the incoming depth value is less than or equal to the stored depth value.

EQUAL
    Passes if the incoming depth value is equal to the stored depth value.

GEQUAL
    Passes if the incoming depth value is greater than or equal to the stored depth value.

GREATER
    Passes if the incoming depth value is greater than the stored depth value.

NOTEQUAL
    Passes if the incoming depth value is not equal to the stored depth value.

Constructor & Destructor Documentation

  SoDepthBuffer::SoDepthBuffer (void)
Constructor.

  SoDepthBuffer::~SoDepthBuffer () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoDepthBuffer::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoDepthBuffer::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoDepthBuffer::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoDepthBuffer::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  void SoDepthBuffer::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

Member Data Documentation

  SoSFBool SoDepthBuffer::test
Enable depth buffer testing. Defaults to TRUE.

  SoSFBool SoDepthBuffer::write
Enable depth buffer writing. Defaults to TRUE.

  SoSFEnum SoDepthBuffer::function
Which depth function to use. Defaults to LESS.

  SoSFVec2f SoDepthBuffer::range
The value range for the depth buffer data. Defaults to [0.0, 1.0]. The range will be clamped to [0.0, 1.0].

Author

Generated automatically by Doxygen for Coin from the source code.